Subject: Re: Finding Out My Own IP-Address
From: [email-masked] ($Bill Luebkert)

7 May 1998 05:32:19 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Oliver Copp <[email-masked]>
Cc: [email-masked]

Oliver Copp wrote:
> 
> Hi !
> 
> Is there a function which allows me to find out my current IP address ?
> 
> My best guess was to use gethostbyname("localhost") but that always returns
> 127.0.0.1.
> 
> When I dial in to my provider via NT-RAS, I'm assigned a dynamic IP address -
> which is what I'm trying to find out.

How about:

$name = (gethostbyname ("localhost"))[0];
$addr = (gethostbyname ($name))[4];
printf "%s\n", join ('.', unpack ("C4", $addr));

Works for me (Win95a, GS Perl).
-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".